- step: |-
    Add `samples/dast.json` pre-generated artifact to see High risk vulnerabilities, create a new branch and commit:
          ```json
          {
            "remediations": [],
            "scan": {
              "analyzer": {
                "id": "gitlab-dast",
                "name": "GitLab DAST",
                "vendor": {
                  "name": "GitLab"
                },
                "version": "1.2.3"
              },
              "end_time": "2022-02-22T22:22:22",
              "messages": [],
              "scanned_resources": [
                {
                  "method": "GET",
                  "type": "url",
                  "url": "http://api-server/"
                },
                {
                  "method": "GET",
                  "type": "url",
                  "url": "http://api-server/open-api-v2.json"
                },
                {
                  "method": "GET",
                  "type": "url",
                  "url": "http://api-server/v1"
                },
                {
                  "method": "DELETE",
                  "type": "url",
                  "url": "http://api-server/v1/tree/10"
                },
                {
                  "method": "GET",
                  "type": "url",
                  "url": "http://api-server/v1/tree/10"
                },
                {
                  "method": "GET",
                  "type": "url",
                  "url": "http://api-server/v1/trees"
                },
                {
                  "method": "POST",
                  "type": "url",
                  "url": "http://api-server/v1/trees"
                }
              ],
              "scanner": {
                "id": "zaproxy",
                "name": "OWASP Zed Attack Proxy (ZAP)",
                "url": "https://www.zaproxy.org",
                "vendor": {
                  "name": "GitLab"
                },
                "version": "D-2022-01-04"
              },
              "start_time": "2022-02-22T22:20:22",
              "status": "success",
              "type": "dast"
            },
            "version": "14.1.2",
            "vulnerabilities": [
              {
                "id": "1a8cef37-9f54-4834-9551-5494a6c4c13f",
                "category": "dast",
                "confidence": "High",
                "cve": "10038-aggregated",
                "description": "Content Security Policy (CSP) is an added layer of security that helps to detect and mitigate certain types of attacks, including Cross Site Scripting (XSS) and data injection attacks. These attacks are used for everything from data theft to site defacement or distribution of malware. CSP provides a set of standard HTTP headers that allow website owners to declare approved sources of content that browsers should be allowed to load on that page — covered types are JavaScript, CSS, HTML frames, fonts, images and embeddable objects such as Java applets, ActiveX, audio and video files.",
                "details": {
                  "urls": {
                    "items": [
                      {
                        "href": "http://api-server/v1/tree/10",
                        "type": "url"
                      }
                    ],
                    "name": "URLs",
                    "type": "list"
                  }
                },
                "evidence": {
                  "request": {
                    "headers": [],
                    "method": "DELETE",
                    "url": "http://api-server/v1/tree/10"
                  },
                  "response": {
                    "headers": [],
                    "reason_phrase": "Not Allowed",
                    "status_code": 405
                  },
                  "summary": ""
                },
                "identifiers": [
                  {
                    "name": "Content Security Policy (CSP) Header Not Set",
                    "type": "ZAProxy_PluginId",
                    "url": "https://github.com/zaproxy/zaproxy/blob/w2019-01-14/docs/scanners.md",
                    "value": "10038"
                  },
                  {
                    "name": "CWE-693",
                    "type": "CWE",
                    "url": "https://cwe.mitre.org/data/definitions/693.html",
                    "value": "693"
                  }
                ],
                "links": [
                  {
                    "url": "https://developer.mozilla.org/en-US/docs/Web/Security/CSP/Introducing_Content_Security_Policy"
                  },
                  {
                    "url": "https://cheatsheetseries.owasp.org/cheatsheets/Content_Security_Policy_Cheat_Sheet.html"
                  },
                  {
                    "url": "http://www.w3.org/TR/CSP/"
                  },
                  {
                    "url": "http://w3c.github.io/webappsec/specs/content-security-policy/csp-specification.dev.html"
                  },
                  {
                    "url": "http://www.html5rocks.com/en/tutorials/security/content-security-policy/"
                  },
                  {
                    "url": "http://caniuse.com/#feat=contentsecuritypolicy"
                  },
                  {
                    "url": "http://content-security-policy.com/"
                  }
                ],
                "location": {
                  "hostname": "http://api-server",
                  "method": "",
                  "param": "",
                  "path": ""
                },
                "message": "Content Security Policy (CSP) Header Not Set",
                "scanner": {
                  "id": "zaproxy",
                  "name": "ZAProxy"
                },
                "severity": "High",
                "solution": "Ensure that your web server, application server, load balancer, etc. is configured to set the Content-Security-Policy header, to achieve optimal browser support: \"Content-Security-Policy\" for Chrome 25+, Firefox 23+ and Safari 7+, \"X-Content-Security-Policy\" for Firefox 4.0+ and Internet Explorer 10+, and \"X-WebKit-CSP\" for Chrome 14+ and Safari 6+."
              },
              {
                "id": "f72ddb9f-316e-4b61-8155-13185f07ad32",
                "category": "dast",
                "flags": [
                  {
                    "type": "flagged-as-likely-false-positive",
                    "origin": "gitlab-dast",
                    "description": "This is a false positive because <insert reason here>"
                  }
                ],
                "confidence": "High",
                "cve": "10036-aggregated",
                "description": "The web/application server is leaking version information via the \"Server\" HTTP response header. Access to such information may facilitate attackers identifying other vulnerabilities your web/application server is subject to.",
                "details": {
                  "urls": {
                    "items": [
                      {
                        "href": "http://api-server/v1/tree/10",
                        "type": "url"
                      },
                      {
                        "href": "http://api-server/",
                        "type": "url"
                      },
                      {
                        "href": "http://api-server/open-api-v2.json",
                        "type": "url"
                      },
                      {
                        "href": "http://api-server/v1",
                        "type": "url"
                      },
                      {
                        "href": "http://api-server/v1/tree/10",
                        "type": "url"
                      },
                      {
                        "href": "http://api-server/v1/trees",
                        "type": "url"
                      },
                      {
                        "href": "http://api-server/v1/trees",
                        "type": "url"
                      }
                    ],
                    "name": "URLs",
                    "type": "list"
                  }
                },
                "evidence": {
                  "request": {
                    "headers": [],
                    "method": "DELETE",
                    "url": "http://api-server/v1/tree/10"
                  },
                  "response": {
                    "headers": [],
                    "reason_phrase": "Not Allowed",
                    "status_code": 405
                  },
                  "summary": "nginx/1.22.0"
                },
                "identifiers": [
                  {
                    "name": "Server Leaks Version Information via \"Server\" HTTP Response Header Field",
                    "type": "ZAProxy_PluginId",
                    "url": "https://github.com/zaproxy/zaproxy/blob/w2019-01-14/docs/scanners.md",
                    "value": "10036"
                  },
                  {
                    "name": "CWE-200",
                    "type": "CWE",
                    "url": "https://cwe.mitre.org/data/definitions/200.html",
                    "value": "200"
                  }
                ],
                "links": [
                  {
                    "url": "http://httpd.apache.org/docs/current/mod/core.html#servertokens"
                  },
                  {
                    "url": "http://msdn.microsoft.com/en-us/library/ff648552.aspx#ht_urlscan_007"
                  },
                  {
                    "url": "http://blogs.msdn.com/b/varunm/archive/2013/04/23/remove-unwanted-http-response-headers.aspx"
                  },
                  {
                    "url": "http://www.troyhunt.com/2012/02/shhh-dont-let-your-response-headers.html"
                  }
                ],
                "location": {
                  "hostname": "http://api-server",
                  "method": "",
                  "param": "",
                  "path": ""
                },
                "message": "Server Leaks Version Information via \"Server\" HTTP Response Header Field",
                "scanner": {
                  "id": "zaproxy",
                  "name": "ZAProxy"
                },
                "severity": "High",
                "solution": "Ensure that your web server, application server, load balancer, etc. is configured to suppress the \"Server\" header or provide generic details."
              }
            ]
          }  
        ```
  expected_results:
  - New page -/merge_requests/new is loaded with ability to create a new MR with the changed file
